Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::ostream_iterator< T, Char, Traits > Struct Template Reference
Utility

## Public Types
using | char_type = Char
using | difference_type = std::ptrdiff_t
using | ostream_type = std::basic_ostream< Char, Traits >
using | traits_type = Traits

## Public Member Functions
ostream_iterator & | operator * ()
ostream_iterator & | operator++ ()
ostream_iterator & | operator++ (int)
template<typename U , typename V = meta::if_<std::is_void<T>, U, T>, requires = (ConvertibleTo<U, V const&>())>
ostream_iterator & | operator= (U &&value)
| ostream_iterator (ostream_type &s, Char const *d=nullptr) noexcept